var { ToggleButton } = require('sdk/ui/button/toggle');
var panels = require("sdk/panel");
var self = require("sdk/self").data;
var pageMod = require("sdk/page-mod");
var state = false;

var button = ToggleButton({
	id: "my-button",
	label: "lamp",
	icon: {
		"16": "./icon-16.png",
		"32": "./icon-32.png",
		"64": "./icon-64.png"
	},
	onChange: handleChange
});

var panel = panels.Panel({
	width: 500,
	height: 130,
	contentURL: self.url("panel.html"),
	contentScriptFile: self.url("onoff.js"),
	onHide: handleHide
});

function handleChange(state) {
	if (state.checked) {
		panel.show({
			position: button
		});
	}
}

function handleHide() {
	button.state('window', {checked: false});
}

var workers = [];
mirror = null;
panel.port.on("lamp", function (text) {
	if(text == "on"){
		state = true;
		pageMod.PageMod({
			include: "*",
			attachTo: ["existing", "top"],
			contentScript: 'document.getElementsByTagName("body")[0].style = "transition: opacity 0.2s ease-in; opacity: 1"'
		});
	} else if (text == "off"){
		state == false;
		pageMod.PageMod({
			include: "*",
			attachTo: ["existing", "top"],
			contentScript: 'document.getElementsByTagName("body")[0].style = "transition: opacity 0.2s ease-in; opacity: 0.0"'
		});
	}
});
